QMQP-SOURCE(1)

NAME
qmqp-source - multi-threaded QMQP test generator

SYNOPSIS
qmqp-source [options] [inet:]host[:port] qmqp-source [options] unix:pathname

DESCRIPTION
qmqp-source connects to the named host and TCP port (default 628) and sends one or more messages to it, either sequentially or in parallel. The program speaks the QMQP protocol. Connections can be made to UNIX-domain and IPv4 or IPv6 servers. IPv4 and IPv6 are the default. Options:

-4  Connect to the server with IPv4. This option has no effect when Postfix is built without IPv6 support.

-6  Connect to the server with IPv6. This option is not available when Postfix is built without IPv6 support.

-c  Display a running counter that is incremented each time a delivery completes.

-C count
    When a host sends RESET instead of SYN|ACK, try count times before giving up. The default count is 1. Specify a larger count in order to work around a problem with TCP/IP stacks that send RESET when the listen queue is full.

-f from
    Use the specified sender address (default: <foo@myhostname>).

-l length
    Send length bytes as message payload. The length includes the message headers.

-m message_count
    Send the specified number of messages (default: 1).

-M myhostname
    Use the specified hostname or [address] in the default sender and recipient addresses, instead of the machine hostname.

-r recipient_count
    Send the specified number of recipients per transaction (default: 1). Recipient names are generated by prepending a number to the recipient address.

-s session_count
    Run the specified number of QMQP sessions in parallel (default: 1).

-t to
    Use the specified recipient address (default: <foo@myhostname>).

-R interval
    Wait for a random period of time 0 <= n <= interval between messages. Suspending one thread does not affect other delivery threads.

-v  Make the program more verbose, for debugging purposes.

-w interval
    Wait a fixed time between messages. Suspending one thread does not affect other delivery threads.

SEE ALSO
qmqp-sink(1), QMQP message dump

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA